import { toValue, type MaybeRefOrGetter } from "@vueuse/core"
import { computed } from 'vue'

export function useColor(color: MaybeRefOrGetter<Color | undefined>, defaultColor: Color = 'primary') {
  return computed(() => `is-${toValue(color) ?? defaultColor}`)
}

export function usePastel(color: MaybeRefOrGetter<Pastel | undefined>, defaultColor: Pastel = 'blue') {
  return computed(() => `is-${toValue(color) ?? defaultColor}`)
}

export function useColorOrPastel<T extends Color | Pastel>(color: MaybeRefOrGetter<T | undefined>, defaultColor: T) {
  return computed(() => `is-${toValue(color) ?? defaultColor}`)
}

export type Color = 'primary' | 'secondary' | 'destructive'
export interface ColorProps {
  color?: Color
}

export type Pastel = 'red' | 'blue' | 'purple' | 'green' | 'yellow'
export interface PastelProps {
  color?: Pastel
}
